import { FG_Plugin } from '@flaschengeist/types';

export interface SendFromNotification {
  receiver_id: string;
}

export interface SendToNotification {
  sender_id: string;
}

export interface TransactionNotification {
  author_id: string;
}

export interface BalanceNotification extends FG_Plugin.Notification {
  data: {
    type: number;
    amount: number;
  } & (SendFromNotification | SendToNotification | TransactionNotification);
}
